Author Topic: Anyone Got ClipGrab v3.9.7 working?  (Read 2167 times)

Mark Szkolnicki

  • Sr. Member
  • ****
  • Posts: 286
  • Karma: +15/-0
    • View Profile
Anyone Got ClipGrab v3.9.7 working?
« on: March 11, 2022, 10:55:01 pm »
Hi All!

I have used ClipGrab in the past, including the versions that worked under OS/2 / eCS / ArcaOS but not for awhile. So when I noted a new version available through the ANPM accessible respositories, I thought I'd download again and try it.

Through ANPM I installed ClipGrab v3.9.7-1 with all the dependencies it required under QT5 as well as other libraries which were not on one of my test systems previously. The installs seemed to go flawlessly, as I noted no errors.

Running Clipgrab, it took about 10 seconds to load. It then presented a dialog about downloading YouTube-dlp where the "Continue" button needs to be pressed in order to proceed. Pressing the button, the download did not start for about a minute, but finally the download bars appeared and when finished. the dialog disappeared.

However, going to the search tab and typing any subject at all brings up the animated search dots, but always ends with an empty screen with the default watermark "No Results Found".

Has anyone been able to use the latest version of our ClipGrab successfully and if so, were there any tricks or added dependencies required to get it working?

One thing I did note, was that every time I've started Clipgrab 3.9.7, it again attempts to download YouTube-dlp. If someone has got it working, is this normal behaviour or not?

Best of the day and weekend to all, as always!

Mark
Vincit Que Se Vincit - "He Who Conquers Self Succeeds"

Pete

  • Hero Member
  • *****
  • Posts: 1132
  • Karma: +7/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #1 on: March 12, 2022, 12:55:46 am »
Hi Mark

Not using ClipGrab myself but think this discussion may be worth a read https://forums.linuxmint.com/viewtopic.php?t=336110


Regards

Pete

Mark Szkolnicki

  • Sr. Member
  • ****
  • Posts: 286
  • Karma: +15/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #2 on: March 12, 2022, 02:17:49 am »
Hi Mark

Not using ClipGrab myself but think this discussion may be worth a read https://forums.linuxmint.com/viewtopic.php?t=336110


Regards

Pete

Heh Pete!

So dependencies are involved. Read the Linus comments - the question are which and why. Will see if I have time this weekend to explore and Best of the weekend to you Sir!!

M
Vincit Que Se Vincit - "He Who Conquers Self Succeeds"

Andy Willis

  • Full Member
  • ***
  • Posts: 236
  • Karma: +2/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #3 on: March 12, 2022, 02:37:21 am »
I either installed or updated it the other day but have never used it before... I just tested it.  I downloaded the youtube-dip and then searched and downloaded successfully.

Dave Yeo

  • Hero Member
  • *****
  • Posts: 3664
  • Karma: +77/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #4 on: March 12, 2022, 04:48:57 am »
Possible youtube-dip (a youtube-dl fork IIRC) needs Python3 or some other extension. If you could run it standalone, you might see an error message. "python youtube-dip" on a command line. Could pass it a Youtube URL as well.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3635
  • Karma: +34/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #5 on: March 12, 2022, 05:16:58 am »
Hi

I chatted with Tellie about my issues with ClipGrab. My issue was that I had the wrong python version.
I needed to install python 3.

There was an issue that some packages were on the netlabs-exp at that moment:
I was recommended and I did these to install python 3:
- Disable netlabs-exp
- Install python-devel from netlabs-rel
- Enable netlabs-exp
- Yum update python. I got an error here (Permission denied) , but I updated first "python-rpm-macros" and later it worked.

After that ClipGrab worked for me.

Regards
« Last Edit: March 12, 2022, 05:20:20 am by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Mark Szkolnicki

  • Sr. Member
  • ****
  • Posts: 286
  • Karma: +15/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #6 on: March 12, 2022, 07:04:48 pm »
I either installed or updated it the other day but have never used it before... I just tested it.  I downloaded the youtube-dip and then searched and downloaded successfully.

Heh Andy!

Do you have Python 3 installed on your system? If so, have you noted any problems related to it, as it seems to be an experimental Python installation for us at the moment.

M
Vincit Que Se Vincit - "He Who Conquers Self Succeeds"

Dave Yeo

  • Hero Member
  • *****
  • Posts: 3664
  • Karma: +77/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #7 on: March 12, 2022, 07:13:13 pm »
I've had Python3 installed on one of my partitions since it was released. At first I had a crash related to pipes that Silvan kindly fixed.
Other then that, the only problem I've noted is that sometimes things wanting to use Python2 break due to the executable name, python2.7.exe, seems cmd.exe doesn't like that in some scripts, eg calling python2.7 fails. Easy enough to work around, use the full name or sh as the shell.

Mark Szkolnicki

  • Sr. Member
  • ****
  • Posts: 286
  • Karma: +15/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #8 on: March 12, 2022, 07:18:56 pm »
Hi

I chatted with Tellie about my issues with ClipGrab. My issue was that I had the wrong python version.
I needed to install python 3.

There was an issue that some packages were on the netlabs-exp at that moment:
I was recommended and I did these to install python 3:
- Disable netlabs-exp
- Install python-devel from netlabs-rel
- Enable netlabs-exp
- Yum update python. I got an error here (Permission denied) , but I updated first "python-rpm-macros" and later it worked.

After that ClipGrab worked for me.

Regards

Hi Martin!

If installing through ANPM is there a reason for disabling netlabs-exp repo first?

I noted that the latest release -devel package is present (2.7.6-25) and listed, as well as the experimental Python3 package (3.9.5-8) farther down.

If I installed the release dev package, then Python 3 would it perform the same function (ie. update to Python 3?)

Want to be careful doing this, as Python seems to be a very integral part of the ArcaOS framework.

Best!

Mark
Vincit Que Se Vincit - "He Who Conquers Self Succeeds"

Dave Yeo

  • Hero Member
  • *****
  • Posts: 3664
  • Karma: +77/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #9 on: March 12, 2022, 08:13:13 pm »
Hi Mark, this step is important,
Code: [Select]
- Install python-devel from netlabs-rel

Mark Szkolnicki

  • Sr. Member
  • ****
  • Posts: 286
  • Karma: +15/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #10 on: March 13, 2022, 02:55:10 am »
Hi Mark, this step is important,
Code: [Select]
- Install python-devel from netlabs-rel

Thanks Dave!

I can see why.

With netlabs-exp enabled under ANPM, installing python-devel 2,7,6-25 actually installs libraries for both python 2.7.18-3 and python 3.9.5-5.

It takes a while to install, but ClipGrab v3.9.7-1 works now - haven't tested it extensively but at least searching for videos works which is an extension of what was happening before.

Don't know if Martins solution would work the same for existing eCS and OS/2 users using just YUM, as I'm entirely ArcaOS 5.0.7 now.

And it will be interesting as to whether I have any apps requiring solely Python 2.7, but we will cross that bridge in future.

Best!

M
Vincit Que Se Vincit - "He Who Conquers Self Succeeds"

Andy Willis

  • Full Member
  • ***
  • Posts: 236
  • Karma: +2/-0
    • View Profile
Re: Anyone Got ClipGrab v3.9.7 working?
« Reply #11 on: March 13, 2022, 04:59:31 am »
I either installed or updated it the other day but have never used it before... I just tested it.  I downloaded the youtube-dip and then searched and downloaded successfully.

Heh Andy!

Do you have Python 3 installed on your system? If so, have you noted any problems related to it, as it seems to be an experimental Python installation for us at the moment.

M
I installed Python 3 shortly after it became available.  I have not noticed any issues thus far.